package cn.ysk.cashier.mybatis.service;

import cn.ysk.cashier.dto.product.PadProductCategoryDTO;
import cn.ysk.cashier.pojo.product.TbPadProductCategory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * Pad商品自定义分类
 *
 * @author Tankaikai tankaikai@aliyun.com
 * @since 2.0 2024-10-22
 */
public interface TbPadProductCategoryService extends IService<TbPadProductCategory> {

    Map<String,Object> findPage(Map<String, Object> params);

    PadProductCategoryDTO get(Long id);

    void save(PadProductCategoryDTO dto);

    void update(PadProductCategoryDTO dto);

    void sort(List<PadProductCategoryDTO> sortList);

    void delete(Long id);

    void copy(Long id);

}